Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler Class Reference

Internal abstract handler for use in other SPI Persistence Cache Handlers. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler:

## Public Member Functions
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory, PersistenceHandler $persistenceHandler, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory)
| Setups current handler with everything needed. More...

## Protected Member Functions
| init ()
| Optional function to initialize handler without having to overload __construct(). More...
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| getCacheValue ( $id, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load one cache item from cache and loggs the hits / misses. More...
| getListCacheValue (string $key, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, callable $listTags=null, array $arguments=[])
| Load list of objects of some type and loggs the hits / misses. More...
| getMultipleCacheValues (array $ids, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load several cache items from cache and loggs the hits / misses. More...

## Protected Attributes
| $persistenceHandler
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| $cache
| $logger

## Detailed Description

Internal abstract handler for use in other SPI Persistence Cache Handlers.

Only for use as abstract in eZ\Publish\Core\Persistence\Cache*Handlers.

Definition at line 21 of file AbstractInMemoryPersistenceHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::__construct | ( | TransactionAwareAdapterInterface | $cache,
|  | PersistenceLogger | $logger,
|  | InMemoryCache | $inMemory,
|  | PersistenceHandler | $persistenceHandler,
|  | CacheIdentifierGeneratorInterface | $cacheIdentifierGenerator,
|  | CacheIdentifierSanitizer | $cacheIdentifierSanitizer,
|  | LocationPathConverter | $locationPathConverter
| ) |  |

Setups current handler with everything needed.

Parameters

  \eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface | $cache |
  \eZ\Publish\Core\Persistence\Cache\PersistenceLogger | $logger |
  \eZ\Publish\Core\Persistence\Cache\InMemory\InMemoryCache | $inMemory |
  \eZ\Publish\SPI\Persistence\Handler | $persistenceHandler |
  \Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface | $cacheIdentifierGenerator |
  \Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierSanitizer | $cacheIdentifierSanitizer |
  \Ibexa\Core\Persistence\Cache\LocationPathConverter | $locationPathConverter |

Definition at line 46 of file AbstractInMemoryPersistenceHandler.php.

References eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$cache, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$cacheIdentifierGenerator, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$cacheIdentifierSanitizer, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$inMemory, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$locationPathConverter, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$logger, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$persistenceHandler, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\init().

## Member Function Documentation

## ◆ init()

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::init | ( |  | ) |
| protected

Optional function to initialize handler without having to overload __construct().

Reimplemented in eZ\Publish\Core\Persistence\Cache\UserHandler, eZ\Publish\Core\Persistence\Cache\LocationHandler, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler, eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler, and eZ\Publish\Core\Persistence\Cache\ContentHandler.

Definition at line 68 of file AbstractInMemoryPersistenceHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct().

## Member Data Documentation

## ◆ $cacheIdentifierGenerator

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::$cacheIdentifierGenerator
| protected

Definition at line 27 of file AbstractInMemoryPersistenceHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct().

## ◆ $cacheIdentifierSanitizer

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::$cacheIdentifierSanitizer
| protected

Definition at line 30 of file AbstractInMemoryPersistenceHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct().

## ◆ $locationPathConverter

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::$locationPathConverter
| protected

Definition at line 33 of file AbstractInMemoryPersistenceHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct().

## ◆ $persistenceHandler

eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler::$persistenceHandler
| protected

Definition at line 24 of file AbstractInMemoryPersistenceHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct(), and eZ\Publish\Core\Persistence\Cache\UserHandler\loadRoleAssignmentsByGroupId().

The documentation for this class was generated from the following file:

- AbstractInMemoryPersistenceHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.